<p-sidebar [(visible)]="sidebarVisible">
  <div>
    contenido del sidebar
  </div>
  <div>
    <h3> Carrito de compras</h3>
    <section>
      <table class="car-table" [hidden]="items.length === 0">
        <!-- <thead>
          <tr>
            <th>Producto</th>
            <th>Precio U</th>
            <th>Cantidad</th>
            <th>subTotal</th>
          </tr>
        </thead> -->
        <tbody>
          <ng-template ngFor let-item [ngForOf]="items">
            <tr>
              <td colspan="5">{{item.product.nombre}}</td>
            </tr>
            <tr class="subtitle">
              <td rowspan="2">
                <img [src]="baseUrl + item.product.imagenes[0].imagenUrl" width="40px" alt="">
              </td>
              <td>precio</td>
              <td>cantidad</td>
              <td colspan="2">subtotal</td>
            </tr>
            <tr>
              <!-- <td><img [src]="baseUrl + item.product.imagenes[0].imagenUrl" width="40px" alt=""></td> -->
              <td>S/ {{item.product.precioVenta}}</td>
              <td>
                <div class="incremental">
                  <button (click)="add(item, -1)">-</button>
                  <input type="text" (keypress)="onKeypressEvent($event)" [(ngModel)]="item.quantity">
                  <button (click)="add(item, 1)">+</button>
                </div>
                <!-- {{item.quantity}} -->
              </td>
              <td>S/ {{(item.product.precioVenta * item.quantity) | number:'1.2-2'}}</td>
              <td>
                <button (click)="remove(item.product.id)"> <i class="pi pi-trash"></i></button>
              </td>
            </tr>

          </ng-template>
        </tbody>
        <tfoot>
          <tr>
            <td colspan="3" class="total">Total</td>
            <td colspan="2" class="total-value">S/ {{total() | number:'1.2-2'}}</td>
          </tr>
        </tfoot>
      </table>

      <div [hidden]="items.length > 0">
        No hay itemos en el carrito
      </div>
    </section>
  </div>
</p-sidebar>